StaticTypesCallSiteWriter (Groovy 5.1.0)

Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesCallSiteWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesCallSiteWriter

-     public class StaticTypesCallSiteWriter
      extends CallSiteWriter

  A call site writer which replaces call site caching with static calls. This means that the generated code looks more like Java code than dynamic Groovy code. Best effort is made to use JVM instructions instead of calls to helper methods.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CallSiteWriter` | `CONSTRUCTOR`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesCallSiteWriter(StaticTypesWriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `fallbackAttributeOrPropertySite(PropertyExpression expression, Expression objectExpression, String name, MethodCallerMultiAdapter adapter)`
    `` | `public void` | `generateCallSiteArray()`
    `` | `public void` | `makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
    `` | `public void` | `makeCallSiteArrayInitializer()`
    `` | `public void` | `makeGetPropertySite(Expression receiver, String propertyName, boolean safe, boolean implicitThis)`
    `` | `public void` | `makeGroovyObjectGetPropertySite(Expression receiver, String propertyName, boolean safe, boolean implicitThis)`
    `` | `public void` | `makeSingleArgumentCall(Expression receiver, String message, Expression argument, boolean safe)`
    `` | `public void` | `makeSiteEntry()`
    `` | `public void` | `prepareCallSite(String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CallSiteWriter` | `fallbackAttributeOrPropertySite, generateCallSiteArray, getCallSites, hasCallSiteUse, isPrologueEmitted, makeCallSite, makeCallSiteArrayInitializer, makeGetPropertySite, makeGroovyObjectGetPropertySite, makeSingleArgumentCall, makeSingleArgumentCall, makeSiteEntry, prepareCallSite, prepareSiteAndReceiver, visitBoxedArgument`

- - ### Constructor Detail

    - #### public StaticTypesCallSiteWriter(StaticTypesWriterController controller)

  - ### Method Detail

    - #### @Override
      public void fallbackAttributeOrPropertySite(PropertyExpression expression, Expression objectExpression, String name, MethodCallerMultiAdapter adapter)

    - #### @Override
      public void generateCallSiteArray()

    - #### @Override
      public void makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)

    - #### @Override
      public void makeCallSiteArrayInitializer()

    - #### @Override
      public void makeGetPropertySite(Expression receiver, String propertyName, boolean safe, boolean implicitThis)

    - #### @Override
      public void makeGroovyObjectGetPropertySite(Expression receiver, String propertyName, boolean safe, boolean implicitThis)

    - #### @Override
      public void makeSingleArgumentCall(Expression receiver, String message, Expression argument, boolean safe)

    - #### @Override
      public void makeSiteEntry()

    - #### @Override
      public void prepareCallSite(String message)